/* Botoes de seta */

@media (min-width:768px){
.arrow {
    position: absolute;
    top: 48%;
    transform: translateY(-50%);
    background: rgba(255, 255, 255, 0.2);
    color: white;
    border: none;
    font-size: 30px;
    padding: 7px 24px 7px 20px;
    cursor: pointer;
    transition: 0.3s;
    border-radius: 50%;
}

.arrow:hover { background: rgba(255, 255, 255, 0.5); }
.left { left: 20px; }
.right { right: 20px; }

.close {
    position: absolute;
    top: 75px; right: 50px;
    font-size: 40px; color: white; cursor: pointer;
 }
}

@media (max-width:767px){
    
.arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(255, 255, 255, 0.2);
    color: white;
    border: none;
    font-size: 23px;
    padding: 1px 10px 1px 8px;
    margin: 110px 28px 0 30px;
    cursor: pointer;
    transition: 0.3s;
    border-radius: 50%;
}

.arrow:hover { background: rgba(255, 255, 255, 0.5); }
.left { left: 80px; }
.right { right: 80px; }

.close {
    position: absolute;
    top: 75px; right: 50px;
    font-size: 40px; color: white; cursor: pointer;
 }
}

@media (max-width:570px){
    
.arrow {
    position: absolute;
    top: 48%;
    transform: translateY(-50%);
    background: rgba(255, 255, 255, 0.2);
    color: white;
    border: none;
    font-size: 22px;
    padding: 1px 10px 1px 8px;
    margin:100px 28px 0 30px;
    cursor: pointer;
    transition: 0.3s;
    border-radius: 50%;
}

.arrow:hover { background: rgba(255, 255, 255, 0.5); }
.left { left: 80px; }
.right { right: 80px; }

.close {
    position: absolute;
    top: 75px; right: 50px;
    font-size: 40px; color: white; cursor: pointer;
 }
}

@media (max-width:470px){
    
.arrow {
    position: absolute;
    top: 48%;
    transform: translateY(-50%);
    background: rgba(255, 255, 255, 0.2);
    color: white;
    border: none;
    font-size: 22px;
    padding: 1px 10px 1px 8px;
    margin: 85px 28px 0 30px;
    cursor: pointer;
    transition: 0.3s;
    border-radius: 50%;
}

.arrow:hover { background: rgba(255, 255, 255, 0.5); }
.left { left: 90px; }
.right { right: 90px; }

.close {
    position: absolute;
    top: 75px; right: 50px;
    font-size: 40px; color: white; cursor: pointer;
 }
}

@media (max-width:350px){
    
.arrow {
    position: absolute;
    top: 48%;
    transform: translateY(-50%);
    background: rgba(255, 255, 255, 0.2);
    color: white;
    border: none;
    font-size: 22px;
    padding: 1px 10px 1px 8px;
    margin: 70px 28px 0 30px;
    cursor: pointer;
    transition: 0.3s;
    border-radius: 50%;
}

.arrow:hover { background: rgba(255, 255, 255, 0.5); }
.left { left: 60px; }
.right { right: 60px; }

.close {
    position: absolute;
    top: 75px; right: 50px;
    font-size: 40px; color: white; cursor: pointer;
 }
}

.container-full {
    text-align: center;
    max-width: 80%;
}

#caption {
    margin-top: 15px;
    font-size: 1.2rem;
    color: #ccc;
    font-weight: 300;
    letter-spacing: 1px;
}

/* Grid da Galeria */
.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 15px;
}

@media (min-width:768px){
.gallery img {
    width: 100%;
    height: 150px;
    object-fit: fill;
    border-radius: 8px;
    cursor: pointer;
    transition: transform 0.3s ease;
  }
}

@media (max-width:767px){
.gallery img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 8px;
    cursor: pointer;
    transition: transform 0.3s ease;
  }
}

.gallery img:hover { transform: scale(1.03); }


/* Modal (Lightbox) */
#fullBox {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: rgba(0,0,0,0.9);
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: white;
}

#fullImg { 
    width: 100%; 
    max-width: 900px; 
    border-radius: 5px;
}

